Delete External Account
curl --request DELETE \
--url https://api.cadanapay.com/v1/businesses/{businessId}/external-accounts/{externalAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Treasury
Delete External Account
Delete an external account linked to a business
DELETE
/
v1
/
businesses
/
{businessId}
/
external-accounts
/
{externalAccountId}
Delete External Account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the business
The unique identifier for the external account
Response
External account successfully deleted
⌘I